package com.sxtvs.open.api.bid.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 标书文件
 * </p>
 *
 * @author syj
 * @since 2024-04-23
 */
@Getter
@Setter
@TableName("bid_files")
public class BidFiles implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private Long projectId;

    private String fname;

    private String file;

    private Integer fileType;

    private Object similarity;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
