package com.sxtvs.open.api.chat.controller;

import com.sxtvs.open.api.chat.entity.KimiChat;
import com.sxtvs.open.api.chat.service.impl.KimiChatServiceImpl;
import jakarta.annotation.Resource;
import org.apache.hc.core5.http.ParseException;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-25
 */
@RestController
@RequestMapping("/chat")
public class KimiChatController {

    @Resource
    private KimiChatServiceImpl kimiChatService;

    @PostMapping("/send")
    public KimiChat send(@RequestBody KimiChat kimiChat) {
        return kimiChatService.create(kimiChat);
    }

    @PostMapping("upload")
    public void upload(MultipartFile file) throws IOException, InterruptedException, ParseException {
        kimiChatService.upload(file);
    }


}
